Bug 112933 - redhat-config-cluster should depend on PyXML
redhat-config-cluster should depend on PyXML
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-06 04:20 EST by Pancrazio `ezio' de Mauro
Modified: 2009-04-16 15:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-18 15:07:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix for bz #112933 (1.29 KB, patch)
2004-01-06 16:08 EST, Jim Parsons
no flags Details | Diff

  None (edit)
Description Pancrazio `ezio' de Mauro 2004-01-06 04:20:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7 StumbleUpon/1.89

Description of problem:
PyXML is not mentioned in the list of packages needed by
redhat-config-cluster.

If PyXML is not installed, running redhat-config-cluster fails with
the following python stacktrace:

Traceback (most recent call last):
 File "/usr/sbin/redhat-config-cluster", line 46, in ?
   from clusterpkg.cluconfig_module  import cluconfig
 File
"/usr/share/redhat-config-cluster/configure/clusterpkg/cluconfig_module.py",
line 11, in ?
   from clusterpkg.services_module   import services
 File
"/usr/share/redhat-config-cluster/configure/clusterpkg/services_module.py",
line 3, in ?
   from clusterpkg.service_module import service
 File
"/usr/share/redhat-config-cluster/configure/clusterpkg/service_module.py",
line 4, in ?
   from clusterpkg.service_device_module import device
 File
"/usr/share/redhat-config-cluster/configure/clusterpkg/service_device_module.py",
line 7, in ?
   from clusterpkg.util_smbconf_module import smbConf
 File
"/usr/share/redhat-config-cluster/configure/clusterpkg/util_smbconf_module.py",
line 55, in ?
   FILE_HEADER = _("""
NameError: name '_' is not defined

Version-Release number of selected component (if applicable):
1.0.0-5

How reproducible:
Always

Steps to Reproduce:
1. install redhat-config-cluster
2. make sure PyXML is not installed
3. run redhat-config-cluster
    

Actual Results:  NameError: name '_' is not defined and all the
messages mentioned above

Expected Results:  redhat-config-cluster's GUI should appear

Additional info:
Comment 1 Jim Parsons 2004-01-06 16:08:24 EST
Created attachment 96793 [details]
fix for bz #112933

This patch adds PyXML to the RPM spec file 'Requires:' line.
Comment 2 Jim Parsons 2004-01-06 16:10:15 EST
The above attachment provides a fix for this bug. 
Comment 3 Suzanne Hillman 2004-03-18 15:07:24 EST
Verified in package version 1.0.2-1.1
Comment 4 David Grierson 2004-10-14 06:41:50 EDT
Also depends on X fonts packages otherwise an error is received:

No fonts found; this probably means that the fontconfig
library is not correctly configured. You may need to
edit the fonts.conf configuration file. More information
about fontconfig can be found in the fontconfig(3) manual
page and on http://fontconfig.org
Comment 5 Caroline Augustine 2005-03-22 13:52:45 EST
(In reply to comment #1)
> Created an attachment (id=96793) [edit]
> fix for bz #112933
> This patch adds PyXML to the RPM spec file 'Requires:' line.

I have python-2.3.4-11 and PyXML-0.8.3-6 rpms install on my linux system
which is running the kernel-2.6.10-1.770_FC3 version of the Fedora Core 3
kernel. When I run redhat-config-cluster or redhat-config-cluster-cmd they
both complain exactly as mentioned above. I even checked the spec file for 
redhat-config-cluster and it does include PyXML in the requires line. Any idea 
as to what else is missing?
Comment 6 srichan 2005-12-22 08:21:59 EST
(In reply to comment #1)
> Created an attachment (id=96793) [edit]
> fix for bz #112933
> This patch adds PyXML to the RPM spec file 'Requires:' line.

Hi!

  May I have the patch pls as for the error mentioned above.

Srichan

Note You need to log in before you can comment on or make changes to this bug.